Summary:       The tdb library
Name:          libtdb
Version:       1.4.8
Release:       1%{?dist}
License:       LGPLv3+
URL:           http://tdb.samba.org/
Source0:       http://samba.org/ftp/tdb/tdb-%{version}.tar.gz

Patch3000:     0003-wafsamba-Fix-few-SyntaxWarnings-caused-by-regular-ex.patch

BuildRequires: make gcc 
BuildRequires: libxslt docbook-style-xsl python3-devel

Provides:      bundled(libreplace)

%description
This is a simple database API based on gdbm, which implements a trivial database.

%package devel
Summary:       Header files need to link the Tdb library
Requires:      libtdb = %{version}-%{release}

%description devel
Header files needed to develop programs that link against the Tdb library.

%package -n tdb-tools
Summary:       Developer tools for the Tdb library
Requires:      libtdb = %{version}-%{release}

%description -n tdb-tools
Tools to manage Tdb files


%package -n python3-tdb
Summary:       Python3 bindings for the Tdb library
Requires:      libtdb = %{version}-%{release}

%description -n python3-tdb
Python3 bindings for libtdb

%prep
%autosetup -n tdb-%{version} -p1

%build
%configure --disable-rpath \
           --bundled-libraries=NONE \
           --builtin-libraries=replace
%make_build

%check
%make_build check

%install
%make_install

%files
%{_libdir}/libtdb.so.*

%files devel
%doc docs/README
%{_includedir}/tdb.h
%{_libdir}/libtdb.so
%{_libdir}/pkgconfig/tdb.pc

%files -n tdb-tools
%{_bindir}/tdbbackup
%{_bindir}/tdbdump
%{_bindir}/tdbtool
%{_bindir}/tdbrestore
%{_mandir}/man8/

%files -n python3-tdb
%{python3_sitearch}/__pycache__/_tdb_text.cpython*.py[co]
%{python3_sitearch}/tdb.cpython*.so
%{python3_sitearch}/_tdb_text.py

%changelog
* Wed Jul 12 2023 Shuo Wang <abushwang@tencent.com> - 1.4.8-1
- update to 1.4.8

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.7-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 1 2022 Feng Weiyao <wynnfeng@tencent.com> - 1.4.7-1
- package init.
